<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__hal__impl__timer" kind="group">
    <compoundname>group_hal_impl_timer</compoundname>
    <title>Timer (Timer/Counter)</title>
    <briefdescription>
    </briefdescription>
    <detaileddescription>

<para><heading level="1">Default Frequency Range</heading></para>
<para>If no <ref kindref="compound" refid="structcyhal__clock__t">cyhal_clock_t</ref> is passed to <ref kindref="member" refid="group__group__hal__timer_1gaa8ca8e199bc9848f8729ff78953bb0fa">cyhal_timer_init</ref>, a default clock will be allocated. This clock will be a Peripheral Clock (default frequency 100 Mhz) with a 16 bit Peripheral Clock divider. Because of this the frequency range that is supported by <ref kindref="member" refid="group__group__hal__timer_1ga38ed4c91e655b8b4f5e446c63327ffe5">cyhal_timer_set_frequency</ref> is: 1526 hz - 100 Mhz </para>
    </detaileddescription>
  </compounddef>
</doxygen>